Bug 518388 - Video frames drop in low network bandwidth condition
Summary: Video frames drop in low network bandwidth condition
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: qspice
Version: 5.4
Hardware: All
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: Yaniv Kamay
QA Contact: Leonid Natapov
URL:
Whiteboard:
Depends On:
Blocks: 521792
TreeView+ depends on / blocked
 
Reported: 2009-08-20 08:40 UTC by Yaniv Kamay
Modified: 2010-03-30 08:35 UTC (History)
6 users (show)

Fixed In Version: qspice-0.3.0-40.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 08:35:44 UTC


Attachments (Terms of Use)
spice: server: improve video streaming in low network bandwidth condition (19.75 KB, patch)
2009-09-07 05:32 UTC, Uri Lublin
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0264 normal SHIPPED_LIVE qspice bug fix update 2010-03-29 12:54:04 UTC

Description Yaniv Kamay 2009-08-20 08:40:02 UTC
Currently bit-rate of video stream in spice server is hard
codded. In any situation where the network can't cope with
video playback traffic, frames will be drooped and the result
will be very low quality video playback. We must improve
bit-rate choosing in order to have decent video content
playback over WAN.

Comment 2 Uri Lublin 2009-09-07 05:32:31 UTC
Created attachment 359945 [details]
spice: server: improve video streaming in low network bandwidth condition

Comment 4 Leonid Natapov 2009-09-30 11:41:46 UTC
sp209. We check the bandwidth and optimize bitrate according to the bandwidth. No frame drops. Video plays smoothly but the quality is low.

Comment 6 errata-xmlrpc 2010-03-30 08:35:44 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0264.html


Note You need to log in before you can comment on or make changes to this bug.